1. Webhook
Casharc
  • API
    • Merchant
      • Getting started
        • Introduction
        • Authentication
        • Quickstart
      • Сore сoncepts
        • Statuses
        • Reason Codes
      • Balance
        • Balance
      • Payment
        • Payment
        • Payment Detail
        • Payment Refund
        • Payment Cancel
        • Payments List
      • Payout
        • Payout
        • Payout Detail
        • Payout Cancel
      • Appeal
        • Appeal
        • Appeal Detail
        • Appeal Cancel
      • Webhook
        • On Status Change
  1. Webhook

On Status Change

Developing
Webhook
POST
onStatusChange

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://your-api-server.com' \
--header 'User-Agent;' \
--header 'X-Signature;' \
--header 'X-Event-ID;' \
--header 'X-Event-Type;' \
--header 'Content-Type: application/json' \
--data '{
    "id": "string",
    "type": "string",
    "created_at": "string",
    "data": {
        "amount": "string",
        "amount_tolerance_up": "string",
        "currency": "string",
        "expires_in": 0,
        "requisite": {
            "type": "string",
            "bank": "string"
        },
        "customer": {
            "fingerprint": "string",
            "ip_address": "string",
            "user_agent": "string"
        },
        "metadata": {}
    }
}'
Response Response Example
{}
Previous
Appeal Cancel
Built with